glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - a -

- abstract_names_supported() : Gio::UnixSocketAddress
- accept() : Gio::Socket , Gio::SocketListener , Gio::Socket , Gio::SocketListener
- accept_async() : Gio::SocketListener
- accept_finish() : Gio::SocketListener
- accept_socket() : Gio::SocketListener
- accept_socket_async() : Gio::SocketListener
- accept_socket_finish() : Gio::SocketListener
- ACCES : Glib::SpawnError
- ACCESS_DENIED : Glib::FileError , Gio::DBus::Error
- acquire() : Glib::Mutex::Lock , Glib::RecMutex::Lock , Glib::RWLock::ReaderLock , Glib::RWLock::WriterLock , Glib::Threads::Mutex::Lock , Glib::Threads::RecMutex::Lock , Glib::Threads::RWLock::ReaderLock , Glib::Threads::RWLock::WriterLock , Glib::MainContext
- Action() : Gio::Action
- action_added() : Gio::ActionGroup
- action_enabled_changed() : Gio::ActionGroup
- action_removed() : Gio::ActionGroup
- action_state_changed() : Gio::ActionGroup
- ActionGroup() : Gio::ActionGroup , Gio::DBus::ActionGroup
- ActionMap() : Gio::ActionMap
- activate() : Gio::Action , Gio::Application
- activate_action() : Gio::ActionGroup , Gio::RemoteActionGroup
- activate_action_vfunc() : Gio::ActionGroup , Gio::RemoteActionGroup
- activate_vfunc() : Gio::Action
- add() : Glib::DateTime , Glib::TimeVal , Gio::FileAttributeInfoList
- add_action() : Gio::ActionMap
- add_action_vfunc() : Gio::ActionMap
- add_address() : Gio::SocketListener
- add_any_inet_port() : Gio::SocketListener
- add_application_proxy() : Gio::SocketClient
- add_data() : Gio::MemoryInputStream
- add_days() : Glib::Date , Glib::DateTime
- add_emblem() : Gio::EmblemedIcon
- add_entry() : Glib::OptionGroup
- add_entry_filename() : Glib::OptionGroup
- add_filter() : Gio::DBus::Connection
- add_full() : Glib::DateTime
- add_group() : Glib::OptionContext
- add_hours() : Glib::DateTime
- add_inet_port() : Gio::SocketListener
- add_interface() : Gio::Action , Gio::ActionGroup , Gio::ActionMap , Gio::AppInfo , Gio::AsyncInitable , Gio::AsyncResult , Gio::Converter , Gio::DBus::Interface , Gio::DBus::Object , Gio::Drive , Gio::File , Gio::Icon , Gio::Initable , Gio::LoadableIcon , Gio::Mount , Gio::PollableInputStream , Gio::PollableOutputStream , Gio::Proxy , Gio::ProxyResolver , Gio::RemoteActionGroup , Gio::Seekable , Gio::SocketConnectable , Gio::Volume
- add_microseconds() : Glib::TimeVal
- add_milliseconds() : Glib::TimeVal
- add_minutes() : Glib::DateTime
- add_months() : Glib::Date , Glib::DateTime
- add_poll() : Glib::MainContext , Glib::Source
- add_seconds() : Glib::DateTime , Glib::TimeVal
- add_socket() : Gio::SocketListener
- add_supports_type() : Gio::AppInfo
- add_weeks() : Glib::DateTime
- add_years() : Glib::Date , Glib::DateTime
- address_equal() : Gio::InetAddress
- ADDRESS_IN_USE : Gio::Error , Gio::DBus::Error
- adjust_time() : Glib::TimeZone
- adopt_orphan_mount() : Gio::VolumeMonitor
- ADT_AUDIT_DATA_UNKNOWN : Gio::DBus::Error
- after_emit_vfunc() : Gio::Application
- AGAIN : Glib::ThreadError , Glib::Threads::ThreadError
- allow_mechanism() : Gio::DBus::AuthObserver
- ALREADY_MOUNTED : Gio::Error
- AnnotationInfo() : Gio::DBus::AnnotationInfo
- append() : Glib::NodeTree< T > , Glib::ValueArray , Glib::ustring , Gio::Menu , Gio::UnixFDList , Glib::ustring
- append_data() : Glib::NodeTree< T >
- append_fd() : Gio::UnixFDMessage
- append_item() : Gio::Menu
- append_name() : Gio::ThemedIcon
- append_section() : Gio::Menu
- append_submenu() : Gio::Menu
- append_to() : Gio::File
- append_to_async() : Gio::File
- append_to_finish() : Gio::File
- AppInfo() : Gio::AppInfo
- AppLaunchContext() : Gio::AppLaunchContext
- Application() : Gio::Application
- ApplicationCommandLine() : Gio::ApplicationCommandLine
- apply() : Gio::Settings
- APRIL : Glib::Date
- ArgInfo() : Gio::DBus::ArgInfo
- array_to_vector() : Glib::ArrayHandler< T, Tr > , Glib::ArrayHandler< bool > , Glib::ArrayHandler< T, Tr >
- ArrayHandle() : Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > > , Glib::ArrayHandle< T, Tr > , Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > > , Glib::ArrayHandle< T, Tr > , Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > > , Glib::ArrayHandle< T, Tr > , Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > >
- ArrayHandleIterator() : Glib::Container_Helpers::ArrayHandleIterator< Tr >
- ArrayIterator() : Glib::Container_Helpers::ArrayIterator< Tr >
- ArrayIteratorType : Glib::ArrayHandler< T, Tr > , Glib::ArrayHandler< bool >
- ArrayKeeper() : Glib::Container_Helpers::ArrayKeeper< Tr >
- ArrayKeeperType : Glib::ArrayHandler< bool > , Glib::ArrayHandler< T, Tr >
- as_double() : Glib::TimeVal
- as_iso8601() : Glib::TimeVal
- ASSERTION_EXPECTED : Glib::RegexError
- assign() : Glib::ustring
- assign_current_time() : Glib::TimeVal
- assign_from_iso8601() : Glib::TimeVal
- assign_to() : Glib::ArrayHandle< T, Tr > , Glib::SListHandle< T, Tr > , Glib::ArrayHandle< bool, Container_Helpers::TypeTraits< bool > > , Glib::ListHandle< T, Tr >
- AsyncInitable() : Gio::AsyncInitable
- AsyncResult() : Gio::AsyncResult
- at() : Glib::ustring
- attach() : Glib::Source
- AttributeMap : Glib::Markup::Parser
- AUGUST : Glib::Date
- AUTH_FAILED : Gio::DBus::Error
- AuthObserver() : Gio::DBus::AuthObserver
- authorize_authenticated_peer() : Gio::DBus::AuthObserver